"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemaEnum = void 0;
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
var SchemaType_1 = require("./SchemaType");
var SchemaEnumValue_1 = require("./SchemaEnumValue");
var SchemaEnum = /** @class */ (function (_super) {
    __extends(SchemaEnum, _super);
    function SchemaEnum(sourceObj) {
        var _this = _super.call(this, sourceObj) || this;
        _this._values = [];
        if (sourceObj.values instanceof Array) {
            sourceObj.values.forEach(function (val) {
                _this._values.push(new SchemaEnumValue_1.SchemaEnumValue(val));
            });
        }
        else {
            throw new Error("Enum didn't have any values");
        }
        return _this;
    }
    Object.defineProperty(SchemaEnum.prototype, "values", {
        get: function () {
            return this._values;
        },
        enumerable: false,
        configurable: true
    });
    SchemaEnum.prototype.resolve = function (types) {
        // Nothing
    };
    return SchemaEnum;
}(SchemaType_1.SchemaType));
exports.SchemaEnum = SchemaEnum;
//# sourceMappingURL=SchemaEnum.js.map