"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchemaLiteral = void 0;
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
var SchemaType_1 = require("./SchemaType");
var SchemaLiteral = /** @class */ (function (_super) {
    __extends(SchemaLiteral, _super);
    function SchemaLiteral(type, schemaType, schemaFormat) {
        var _this = _super.call(this, {
            type: type
        }) || this;
        _this._schemaType = schemaType;
        _this._schemaFormat = schemaFormat;
        return _this;
    }
    Object.defineProperty(SchemaLiteral.prototype, "schemaType", {
        get: function () {
            return this._schemaType;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaLiteral.prototype, "schemaFormat", {
        get: function () {
            return this._schemaFormat;
        },
        enumerable: false,
        configurable: true
    });
    SchemaLiteral.prototype.resolve = function (types) {
        // Nothing to do
    };
    Object.defineProperty(SchemaLiteral, "string", {
        get: function () {
            return this._string;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaLiteral, "number", {
        get: function () {
            return this._number;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaLiteral, "object", {
        get: function () {
            return this._object;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaLiteral, "boolean", {
        get: function () {
            return this._boolean;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaLiteral, "uri", {
        get: function () {
            return this._uri;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaLiteral, "uriReference", {
        get: function () {
            return this._uriReference;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(SchemaLiteral, "any", {
        get: function () {
            return this._any;
        },
        enumerable: false,
        configurable: true
    });
    SchemaLiteral._string = new SchemaLiteral("string", "string");
    SchemaLiteral._number = new SchemaLiteral("number", "number");
    SchemaLiteral._object = new SchemaLiteral("object", "object");
    SchemaLiteral._boolean = new SchemaLiteral("boolean", "boolean");
    SchemaLiteral._uri = new SchemaLiteral("uri", "string", "uri");
    SchemaLiteral._uriReference = new SchemaLiteral("uri-reference", "string", "uri-reference");
    SchemaLiteral._any = new SchemaLiteral("any");
    return SchemaLiteral;
}(SchemaType_1.SchemaType));
exports.SchemaLiteral = SchemaLiteral;
//# sourceMappingURL=SchemaLiteral.js.map